<?php
define( 'SF_ROOT_DIR', "../../" );
define( 'SF_APP',      'sys' );
define( 'SF_DEBUG',    false );

require_once( SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'configGlobal.php' );
?>
<?php $dir_url = Constantes::ROOT_DIR_APP ?>
<body>
<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $dir_url ?>/web/css/jquery/default/main.css" />
<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $dir_url ?>/web/css/jquery/default/grid.css" />
<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $dir_url ?>/web/css/jquery/default/tab.css" />
          
<script type="text/javascript" src="<?php echo $dir_url ?>/web/js/jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="<?php echo $dir_url ?>/web/js/jquery/ui-1.10.3/jquery-ui.js"></script>

<?php
//CLASES INTERNAS
set_memory_max_time();
/////////////////
$b_ControlDetalle = false;
if ( isset( $_POST['Control'] ) )
{
    //PARAMETROS
    if ( isset( $_POST['IdOrdenCompra'] ) && $_POST['IdOC'] == "" )
    {
        $_POST['IdOC'] = $_POST['IdOrdenCompra'];
    }
    $IdOrdenCompra = isset( $_POST['IdOC'] ) && $_POST['IdOC']!="" ? $_POST['IdOC'] : null ;
    $IdSecuencia   = isset( $_POST['IdSecuencia'] ) && $_POST['IdSecuencia']!="" ? $_POST['IdSecuencia'] : null ;
    $Tipo          = isset( $_POST['Tipo'] ) && $_POST['Tipo']!="" ? $_POST['Tipo'] : null ;
    pr( $IdSecuencia );
    pr( $Tipo );
    /////////////////////////////////////////////
    $o_COM_OrdenCompraCabeceraFN = new COM_OrdenCompraCabeceraFN();
    $o_COM_OrdenCompraCabeceraBN = $o_COM_OrdenCompraCabeceraFN->selectByPK( "1", $IdOrdenCompra );
    if( $o_COM_OrdenCompraCabeceraBN )
    {
        $s_IdAlmacen = $o_COM_OrdenCompraCabeceraBN->getIdAlmacenEntrega();
        pr( $s_IdAlmacen );
        $b_ControlDetalle = true;
    }
    if( $IdSecuencia && $Tipo )
    {
        $con = Conexion::getConexion();
        $con->begin();
        try 
        {
            //VALIDACION DE PERIODO
            $s_Periodo = UtilDate::getFormatDate( $o_COM_OrdenCompraCabeceraBN->getFechaCreacion(), "Ym" );
            $b_FlagPeriodo = PRO_CierreMensualFN::flagPeriodoAbierto( $s_Periodo );
            if( !$b_FlagPeriodo )
            {
                throw new Exception( "El Periodo se encuentra Cerrado." );
            }
            ///////////////////////
            $o_DBConnect = Conexion::getConexion();
            switch ( $Tipo )
            {
                case "Eliminar":
                    $s_Sql = "SELECT * FROM COM_OrdenCompraDetalle WHERE IdOrdenCompra='$IdOrdenCompra' AND IdSecuencia = '$IdSecuencia';";
                    pr( $s_Sql );
                    $o_ResultSet = $o_DBConnect->prepareStatement( $s_Sql )->executeQuery();
                    if( $o_ResultSet->next() )
                    {
                        $o_row = $o_ResultSet->getRow();
                        $o_row = ( object ) $o_row;
                        
                        $s_IdItem = $o_row->IdItem;
                        $s_IdLote = $o_row->IdLote;

                        if( $s_IdLote == "" )
                        {
                            $s_IdLote = "000";
                        }
                        
                        $a_LstTrs = array();
                        $s_Sql = "SELECT ReferenciaNumeroDocumento
                                    FROM ALM_Kardex
                                    WHERE 1=1
                                    AND ReferenciaNumeroDocumento IN ( SELECT IdNumeroDocumento FROM ALM_TransaccionCabecera WHERE ReferenciaNumeroDocumento='$IdOrdenCompra' )  AND ReferenciaTipoDocumento='NI'
                                    AND IdItem='$s_IdItem' AND IdLote='$s_IdLote' AND IdAlmacen='$s_IdAlmacen';";
                        pr( $s_Sql );
                        $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        if( mysql_num_rows( $o_SQLResult ) > 0 )
                        {
                            while ( $o_row = mysql_fetch_object( $o_SQLResult ) )
                            {
                                $a_LstTrs[] = $o_row->ReferenciaNumeroDocumento;
                            }
                        }
                        
                        $s_Sql = "SELECT SUM(Cantidad) Cantidad
                                    FROM ALM_Kardex
                                    WHERE 1=1
                                    AND ReferenciaNumeroDocumento IN ( SELECT IdNumeroDocumento FROM ALM_TransaccionCabecera WHERE ReferenciaNumeroDocumento='$IdOrdenCompra' )  AND ReferenciaTipoDocumento='NI'
                                    AND IdItem='$s_IdItem' AND IdLote='$s_IdLote' AND IdAlmacen='$s_IdAlmacen';";
                        pr( $s_Sql );
                        $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        if( mysql_num_rows( $o_SQLResult ) > 0 )
                        {
                            $o_row = mysql_fetch_object( $o_SQLResult );
                            if( !$o_row->Cantidad )
                            {
                                throw new Exception( "No se encontro registro para eliminar." );
                            }
                            $f_Cantidad = floatval( $o_row->Cantidad );
                            //pr( $f_Cantidad );
                            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                            //SE ACTUALIZA EL STOCK:
                            $s_Sql = "UPDATE ALM_ItemAlmacenStock SET StockActual=StockActual-$f_Cantidad WHERE IdItem IN ('$s_IdItem') AND IdLote IN('$s_IdLote') AND IdAlmacen='$s_IdAlmacen' AND IdCompania='1';";
                            pr( $s_Sql );
                            $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                            pr( "Se actualiza el stock del Producto: -$f_Cantidad" );
                            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                            //AHORA SE ELIMINA EL REGISTRO EN EL KARDEX
                            $s_Sql = "DELETE FROM ALM_Kardex WHERE 1=1
                                        AND ReferenciaNumeroDocumento IN ( '".implode( "','", $a_LstTrs )."' )  AND ReferenciaTipoDocumento='NI'
                                        AND IdItem='$s_IdItem' AND IdLote='$s_IdLote' AND IdAlmacen='$s_IdAlmacen';";
                            pr( $s_Sql );
                            $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                            pr( "Se procede a eliminar registro de Kardex -> OK" );
                            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                            //AHORA SE ELIMINA LA TRANSACCION DETALLE
                            $s_Sql = "DELETE FROM ALM_TransaccionDetalle WHERE IdNumeroDocumento IN ( '".implode( "','", $a_LstTrs )."' ) AND IdItem IN ('$s_IdItem') AND Lote='$s_IdLote' AND IdTipoDocumento='NI';";
                            pr( $s_Sql );
                            $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                            pr( "Se procede a elimina los registros de la Transaccion Detalle -> OK" );
                            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                            //AHORA SE ELIMINA LA TRANSACCION CABECERA:
                                //SE HACE UNA VALIDACION DE CANTIDAD DE REGISTROS DETALLE CON WHERE SEA IGUAL CON LA CANTIDAD DE 
                            foreach ( $a_LstTrs as $s_IdNumeroDocumento )
                            {
                                $s_Sql = "SELECT * FROM ALM_TransaccionDetalle WHERE 1=1 AND IdNumeroDocumento='$s_IdNumeroDocumento' AND IdCompania='1' AND IdTipoDocumento='NI';";
                                pr( $s_Sql );
                                $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                                $i_NumReg1 = mysql_num_rows( $o_SQLResult );
                                
                                $s_Sql = "SELECT *  FROM ALM_TransaccionDetalle WHERE 1=1 AND IdNumeroDocumento='$s_IdNumeroDocumento' AND IdCompania='1' AND IdTipoDocumento='NI' AND IdItem='$s_IdItem' AND Lote='$s_IdLote';";
                                pr( $s_Sql );
                                $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                                $i_NumReg2 = mysql_num_rows( $o_SQLResult );
                                if( $i_NumReg1 == $i_NumReg2 )
                                {
                                    //SI SON IGUALES SE BORRA LA CABECERA:
                                        //PRIMERO RECUPERO LA INFO PARA ELIMINAR LA ASOCIACION DE GUIA CON FACTURA:
                                    $s_Sql = "SELECT * FROM ALM_TransaccionCabecera WHERE IdNumeroDocumento='$s_IdNumeroDocumento' AND IdCompania='1' AND IdTipoDocumento='NI';";
                                    pr( $s_Sql );
                                    $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );    
                                    $o_row = mysql_fetch_object( $o_SQLResult );
                                    
                                    $s_SerieDocumentoFiscal = $o_row->SerieDocumentoFiscal;
                                    $s_NumeroDocumentoFiscal = $o_row->NumeroDocumentoFiscal;
                                    
                                    $s_Sql = "DELETE FROM ALM_TransaccionCabecera WHERE IdNumeroDocumento='$s_IdNumeroDocumento' AND IdCompania='1' AND IdTipoDocumento='NI';";
                                    pr( $s_Sql );
                                    $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                                    pr( "Se procede a eliminar la Cabecera de la Transaccion -> OK" );
                                    
                                    $s_Sql = "DELETE FROM ALM_OrdenGuiaFactura WHERE IdOrdenCompra='$IdOrdenCompra' AND SerieGuia='$s_SerieDocumentoFiscal' AND NumeroGuia='$s_NumeroDocumentoFiscal' AND IdAlmacen='$s_IdAlmacen' AND IdCompania='1';";
                                    pr( $s_Sql );
                                    $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                                    pr( "Se procede a eliminar la Asociacion de O/C Guia y Factura [GUIA][$s_SerieDocumentoFiscal][$s_NumeroDocumentoFiscal]-> OK" );
                                }
                            }
                            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                            //AHORA SE ACTUALIZA LA CANTIDAD RECIBIDA A LA CANTIDAD PEDIDA
                            $s_Where = " AND IdLote='$s_IdLote' ";
                            if( $s_IdLote == "000" )
                            {
                                $s_Where = " ";
                            }
                            $s_Sql = "UPDATE COM_OrdenCompraDetalle SET CantidadRecibida=0 WHERE IdOrdenCompra='$IdOrdenCompra' AND IdItem='$s_IdItem' $s_Where;";
                            pr( $s_Sql );
                            $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                            pr( "Se procede a regresar la Cantidad Recibida a 0 para realizar nuevamente la Recepcion -> OK" );
                            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                        }
                    }
                break;
                case "Editar":
                    $s_Sql = "SELECT * FROM COM_OrdenCompraDetalle WHERE IdOrdenCompra='$IdOrdenCompra' AND IdSecuencia = '$IdSecuencia';";
                    pr( $s_Sql );
                    $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                    if( mysql_num_rows( $o_SQLResult ) > 0 )
                    {
                        $o_row = mysql_fetch_object( $o_SQLResult );
                        
                        $s_IdItem = $o_row->IdItem;
                        $s_IdLote = $o_row->IdLote;
                        if( $s_IdLote == "" )
                        {
                            $s_IdLote = "000";
                        }
                        
                        //pr( $s_IdItem );
                        //pr( $s_IdLote );
                        
                        $a_LstTrs = array();
                        $s_Sql = "SELECT ReferenciaNumeroDocumento
                                    FROM ALM_Kardex
                                    WHERE 1=1
                                    AND ReferenciaNumeroDocumento IN ( SELECT IdNumeroDocumento FROM ALM_TransaccionCabecera WHERE ReferenciaNumeroDocumento='$IdOrdenCompra' ) 
                                    AND IdItem='$s_IdItem' AND IdLote='$s_IdLote' AND IdAlmacen='$s_IdAlmacen';";
                        pr( $s_Sql );
                        $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        if( mysql_num_rows( $o_SQLResult ) > 0 )
                        {
                            while ( $o_row = mysql_fetch_object( $o_SQLResult ) )
                            {
                                $a_LstTrs[] = $o_row->ReferenciaNumeroDocumento;
                            }
                        }
                        
                        if( count( $a_LstTrs ) > 1 )
                        {
                            throw new Exception( "No se puede realizar el cambio por tener varias transacciones." );
                        }
                        
                        $s_Sql = "SELECT Cantidad
                                    FROM ALM_Kardex
                                    WHERE 1=1
                                    AND ReferenciaNumeroDocumento IN ( SELECT IdNumeroDocumento FROM ALM_TransaccionCabecera WHERE ReferenciaNumeroDocumento='$IdOrdenCompra' ) 
                                    AND IdItem='$s_IdItem' AND IdLote='$s_IdLote' AND IdAlmacen='$s_IdAlmacen';";
                        pr( $s_Sql );
                        $o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        if( mysql_num_rows( $o_SQLResult ) > 0 )
                        {
                            $o_row = mysql_fetch_object( $o_SQLResult );
                            if( !$o_row->Cantidad )
                            {
                                throw new Exception( "No se encontro registro para eliminar." );
                            }
                            $f_CantidadKx = floatval( $o_row->Cantidad );
                        }
                        
                        $f_CantidadNvo = floatval( $_POST['CantidadNvo'] );
                        
                        $f_Cantidad = $f_CantidadKx - $f_CantidadNvo;
                        
                        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                        //SE ACTUALIZA EL STOCK:
                        $s_Sql = "UPDATE ALM_ItemAlmacenStock SET StockActual=StockActual-$f_Cantidad WHERE IdItem IN ('$s_IdItem') AND IdLote IN('$s_IdLote')AND IdAlmacen='$s_IdAlmacen' AND IdCompania='1';";
                        pr( $s_Sql );
                        $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        pr( "Se actualiza el stock del Producto: -$f_Cantidad" );
                        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                        //AHORA SE ELIMINA EL REGISTRO EN EL KARDEX
                        $s_Sql = "UPDATE ALM_Kardex SET Cantidad=Cantidad-$f_Cantidad  WHERE 1=1
                                    AND ReferenciaNumeroDocumento IN ( '".implode( "','", $a_LstTrs )."' ) 
                                    AND IdItem='$s_IdItem' AND IdLote='$s_IdLote' AND IdAlmacen='$s_IdAlmacen';";
                        pr( $s_Sql );
                        $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        pr( "Se procede a actualizar el Kardex -> OK" );
                        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                        //AHORA SE ELIMINA LA TRANSACCION DETALLE
                        $s_Sql = "UPDATE ALM_TransaccionDetalle SET Cantidad=Cantidad-$f_Cantidad WHERE IdNumeroDocumento IN ( '".implode( "','", $a_LstTrs )."' ) AND IdItem IN ('$s_IdItem') AND Lote='$s_IdLote';";
                        pr( $s_Sql );
                        $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        pr( "Se procede actualizar la Transaccion Detalle -> OK" );
                        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                        //AHORA SE ACTUALIZA LA CANTIDAD RECIBIDA A LA CANTIDAD PEDIDA
                        $s_Where = " AND IdLote='$s_IdLote' ";
                        if( $s_IdLote == "000" )
                        {
                            $s_Where = " ";
                        }
                        $s_Sql = "UPDATE COM_OrdenCompraDetalle SET CantidadRecibida=CantidadRecibida-$f_Cantidad WHERE IdOrdenCompra='$IdOrdenCompra' AND IdItem='$s_IdItem' $s_Where;";
                        pr( $s_Sql );
                        $o_RS = mysql_query( $s_Sql, $o_DBConnect->getResource() );
                        pr( "Se procede a restar Cantidad Recibida con el nuevo ingreso  para realizar nuevamente la Recepcion -> OK" );
                        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                    }
                break;
            }
        
            $con->commit();
        }
        catch ( Exception $o_Exception )
        {
            $con->rollback();
            pr( "<b><font color=red>Mensaje de Error: ".$o_Exception->getMessage()."</font></b>" );
        }
    }
}
?>

<style>
body {font-size:60%} 
</style>
<style>
.grid
{
    border: 1px solid #77d5f7;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
.grid th 
{
    border-color: #77d5f7;
    background-color: #0a7db1;
    font-weight: normal;
    font-size: 11px;
    font-family: Verdana,Arial,sans-serif;
    height: 24px;
    padding: 0 2px;
    border-bottom: 1px solid #77d5f7;
}
.grid td 
{
    border-left: 0 none;
    border-right-color: #77d5f7;
    border-right-style: solid;
    border-right-width: 1px;
    border-bottom-color: #77d5f7;
    border-bottom-style: solid;
    border-bottom-width: 1px;
    padding: 0 2px;
    /*white-space: pre;*/
    height: 22px;
    /*border: 1px solid #77d5f7;*/
}
</style>
<form id="form1" name="form1" method="POST" enctype="multipart/form-data">
    <input type="hidden" name="Control" value="ok"/>
    <table cellpadding="0" cellspacing="0" border="0">
        <td>
            Ingrese Numero de O/C
        </td>
        <td>&nbsp;&nbsp;</td>
        <td>
            <input type="text" class="" name="IdOC" id="IdOC" style="text-align:center;">
        </td>
        <td>
            <input type="submit" value="Buscar">
        </td>
    </table>

<?php if( $b_ControlDetalle ){ ?>
    <input type="hidden" name="IdOrdenCompra" id="IdOrdenCompra" value="<?=$IdOrdenCompra?>"/>
    <input type="hidden" name="IdSecuencia" id="IdSecuencia" value=""/>
    <input type="hidden" name="Tipo" id="Tipo" value=""/>
    <?php pr( "O/C a Modificar: ".$IdOrdenCompra ) ?>
    <?php pr( "Almacen: ".$o_COM_OrdenCompraCabeceraBN->getAlmacenDesc() ) ?>
    <table class="grid" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="border-bottom: 1px solid #999999;">
        <tr>
            <th width="2%"  align="center" class="header"><b>No</b></th>
            <th width="5%" align="center" class="header"><b>C&oacute;digo</b></th>
            <th width="30%" align=""       class="header"><b>Descripci&oacute;n</b></th>
    
            <th width="5%" align="center" class="header"><b>Cant</b></th>
            <th width="5%" align="center" class="header"><b>Rec</b></th>
            <th width="5%" align="center" class="header"><b>Pend</b></th>
            <th width="5%" align="center" class="header"><b>Mod</b></th>
            
            <th width="8%" align="center" class="header"><b>Precio</b></th>
            <th width="5%" align="center" class="header"><b>Lote</b></th>
            <th width="8%" align="center" class="header"><b>Vence</b></th>
            <th width="10%" align="center" class="header"><b>Total</b></th>
            <th width="10%" align="center" class="header">&nbsp;</th>
        </tr>
        <tbody id="content_nvo">
            <?php $a_COM_OrdenCompraDetalle = $o_COM_OrdenCompraCabeceraBN->getArrayObjectDetalles() ?>
            <?php foreach ( $a_COM_OrdenCompraDetalle as $i_Key => $o_COM_OrdenCompraDetalleBN ){ ?>
                <?php
                $b_ModoIngreso = $o_COM_OrdenCompraCabeceraBN->getModoIngresoConIGVFlag()=="S" ? true : false;
                if( $b_ModoIngreso )
                {
                    $f_PrecioVal = $o_COM_OrdenCompraDetalleBN->getPrecioUnitario();
                }
                else
                {
                    $f_PrecioVal = $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioIGV();
                }
                $b_ManejaLote       = $o_COM_OrdenCompraDetalleBN->getObjectItem()->SiManejaLote();
                $s_IdLote           = "";
                $s_FechaVencimiento = "";
                $s_ClassLote        = "text0";
                $s_ReadOnlyLote     = "readonly";
                if( $b_ManejaLote )
                {
                    $s_ClassLote        = "required";
                    $s_ReadOnlyLote     = "";
                    $s_IdLote           = $o_COM_OrdenCompraDetalleBN->getIdLote();
                    $s_FechaVencimiento = $o_COM_OrdenCompraDetalleBN->getFechaVencimiento();
                }
                $i_CantidadRec = $o_COM_OrdenCompraDetalleBN->getCantidadRecibida();
                $i_Secuencia = $o_COM_OrdenCompraDetalleBN->getIdSecuencia();
                $s_TR_ID = "TR_".$i_Secuencia;
                ?>
            <tr>
                <td align="center"><?=( $i_Key + 1 )?></td>
                <td align="center" ><?=$o_COM_OrdenCompraDetalleBN->getIdItem()?></td>
                <td align="" ><?=$o_COM_OrdenCompraDetalleBN->getDescripcion()?></td>
                
                <td align="center"><?=$o_COM_OrdenCompraDetalleBN->getCantidadPedida()?></td>
                <td align="center"><?=$o_COM_OrdenCompraDetalleBN->getCantidadRecibida()?></td>
                <td align="center"><?=($o_COM_OrdenCompraDetalleBN->getCantidadPedida()-$o_COM_OrdenCompraDetalleBN->getCantidadRecibida())?></td>
                <td align="center">
                    <input type="text" class="text" 
                            name="CantidadNvo" 
                            id="<?=$s_TR_ID?>_CNT" disabled 
                            style="width:70%; text-align:center;" 
                            onblur="actualizarCantidad( this, <?=$i_CantidadRec?>, '<?=$i_Secuencia?>' );"
                            onfocus="this.select();" />
                </td>
                
                <td align="center"><?=$f_PrecioVal?></td>
                <td align="center"><?=$s_IdLote?></td>
                <td align="center"><?=$s_FechaVencimiento?></td>
                <td align="center"><?=number_format( $o_COM_OrdenCompraDetalleBN->getSubTotal(), 2 )?></td>
                <td align="center">
                    <input class="button" type="button" value="Edit" onclick="editarCantidad( '<?=$s_TR_ID?>_CNT', '<?=$i_CantidadRec?>' );"/>
                    <input class="button" type="button" value="Del" onclick="eliminarTRS( '<?=$o_COM_OrdenCompraDetalleBN->getIdSecuencia()?>' );"/>
                </td>
            </tr>
            <?php } ?>
        </tbody>
    </table>
<script>
disabledTodoInput = function()
{
    $( "#content_nvo input:text" ).prop( "disabled", true );
}
editarCantidad = function( elm, cantref )
{
    disabledTodoInput();
    //alert( "Recuerde que no puede ingresar una cantidad mayor a lo recibido." );
    $( "#" + elm ).prop( 'disabled', false );
    $( "#" + elm ).focus();
}
actualizarCantidad = function( elm, cantref, IdSecuencia )
{
    var cantidad = elm.value;
    
    if( cantidad == "" )
    {
        $( "#" + elm.id ).prop( 'disabled', true );
        return false;
    }
    
    cantidad = parseInt( cantidad );
    console.log( cantidad );
    if( isNaN( cantidad ) )
    {
        elm.value = "";
        alert( "Ingrese una cantidad valida.." );
        setTimeout(function () {
            $( "#" + elm.id ).focus();
        }, 100);
        return false;
    }
    if( cantidad <= 0 )
    {
        elm.value = "";
        alert( "Tiene que ser una cantidad valida." );
        setTimeout(function () {
            $( "#" + elm.id ).focus();
        }, 100);
        return false;
    }
    if( cantidad >= cantref )
    {
        elm.value = "";
        alert( "La cantidad ingresada no debe ser mayor a la cantidad recibida." );
        setTimeout(function () {
            $( "#" + elm.id ).focus();
        }, 100);
        return false;
    }
    
    $( "#Tipo" ).val( "Editar" );
    $( "#IdSecuencia" ).val( IdSecuencia );
    $( "#form1" ).submit();
}
eliminarTRS = function( IdSecuencia )
{
    console.log( IdSecuencia );
    x = confirm( "Esta seguro de eliminar la transaccion? Se regresa Cant Recibido a Cero." );
    if( x )
    {
        $( "#Tipo" ).val( "Eliminar" );
        $( "#IdSecuencia" ).val( IdSecuencia );
        $( "#form1" ).submit();
    }
}
</script>
<?php } ?>
</form>
<script>
$( "#content_nvo input:text" ).keypress
( 
    function( e ) 
    {
        if( e.which == 0 ){ return true; }
        if( e.which == 8 ){ return true; }
        if( e.which == 13 ) { return false; }
        var regex = new RegExp( "^[a-zA-Z0-9]+$" );
        var str = String.fromCharCode( !e.charCode ? e.which : e.charCode );
        if ( regex.test( str ) ) { return true; }
        return false;
    }
);
</script>